/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkRenderingOSPRayObjectFactory.h

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __vtkRenderingOSPRayObjectFactory_h
#define __vtkRenderingOSPRayObjectFactory_h

#include "vtkRenderingOSPRayModule.h" // For export macro
#include "vtkObjectFactory.h"

class VTKRENDERINGOSPRAY_EXPORT vtkRenderingOSPRayObjectFactory : public vtkObjectFactory
{
public:
  static vtkRenderingOSPRayObjectFactory * New();
  vtkTypeMacro(vtkRenderingOSPRayObjectFactory, vtkObjectFactory)

  const char * GetDescription() VTK_OVERRIDE { return "vtkRenderingOSPRay factory overrides."; }

  const char * GetVTKSourceVersion() VTK_OVERRIDE;

  void PrintSelf(ostream &os, vtkIndent indent) VTK_OVERRIDE;

protected:
  vtkRenderingOSPRayObjectFactory();

private:
  vtkRenderingOSPRayObjectFactory(const vtkRenderingOSPRayObjectFactory&) VTK_DELETE_FUNCTION;
  void operator=(const vtkRenderingOSPRayObjectFactory&) VTK_DELETE_FUNCTION;
};

#endif // __vtkRenderingOSPRayObjectFactory_h
